package cn.reghao.autodop.dmaster.rbac.service;

import cn.reghao.autodop.dmaster.rbac.model.po.Menu;
import cn.reghao.autodop.dmaster.rbac.model.po.Role;

import java.util.Set;

/**
 * @author reghao
 * @date 2020-06-19 16:36:53
 */
public interface RoleService {
    void addOrModify(Role role);
    void delete(Integer roleId);
    void setRoleMenus(Integer roleId, Set<Menu> menus);
}
